import React from 'react';

// From instagrams website
export const ReelIcon = ({ ...props }) => (
	<svg viewBox='0 0 48 48' className='reel-icon-outlined' {...props}>
		<path d='M31.5 28.2l-11.2-6.5c-.5-.3-1-.3-1.5 0-.5.2-.8.7-.8 1.3v13c0 .5.3 1 .8 1.3.2.1.5.2.7.2.3 0 .5-.1.8-.2l11.2-6.5c.5-.3.7-.8.7-1.3s-.3-1-.7-1.3zM43.9 4c-2.5-2.4-5.5-4-12.2-4H16.2C9.6 0 6.6 1.6 4 4.1 1.6 6.6 0 9.6 0 16.2v15.5c0 6.6 1.6 9.7 4.1 12.2 2.5 2.4 5.5 4 12.2 4h15.5c6.6 0 9.7-1.6 12.2-4.1 2.4-2.5 4-5.5 4-12.2V16.2c0-6.6-1.6-9.6-4.1-12.2zM31.8 3c6.3 0 8.4 1.6 10 3.2 1.2 1.2 2.3 2.7 2.9 5.8h-9.3l-5.1-9h1.5zM16.2 3h10.5l5.1 9h-12l-5.1-9h1.5zm-10 3.2C7.3 5.1 8.7 4 11.5 3.4l4.9 8.6H3.3C3.9 8.9 5 7.4 6.2 6.2zM45 31.8c0 6.3-1.6 8.4-3.2 10-1.6 1.6-3.8 3.2-10 3.2H16.2c-6.3 0-8.4-1.6-10-3.2C4.6 40.2 3 38 3 31.8V15h42v16.8z' />
	</svg>
);

// Modified by us, inverting the outlined version.
// Migth have small diffs to Instagrams filled Reel logotype.
export const ReelIconFilled = ({ ...props }) => (
	<svg viewBox='0 0 115 115' className='reel-icon-filled' {...props}>
		<g style={{ transform: 'scale(0.85)', transformOrigin: 'center' }}>
			<polygon points='36.4,1 32.4,1 46.1,25.2 78.4,25.2 64.7,1 ' />
			<path d='M113.1,25.2c-1.6-8.3-4.6-12.4-7.8-15.6C101,5.3,95.3,1,78.4,1h-4l13.7,24.2H113.1z' />
			<path
				d='M0.9,78.5c0,16.7,4.3,22.6,8.6,26.9c4.3,4.3,10,8.6,26.9,8.6h42c16.7,0,22.6-4.3,26.9-8.6c4.3-4.3,8.6-10,8.6-26.9V33.3
		H0.9V78.5z M41.3,54.8c0-1.6,0.8-3,2.2-3.5c1.3-0.8,2.7-0.8,4,0l30.1,17.5c1.1,0.8,1.9,2.2,1.9,3.5c0,1.3-0.5,2.7-1.9,3.5
		L47.5,93.3c-0.8,0.3-1.3,0.5-2.2,0.5c-0.5,0-1.3-0.3-1.9-0.5c-1.3-0.8-2.2-2.2-2.2-3.5V54.8z'
			/>
			<path d='M37,25.2L23.8,2.1C16.2,3.7,12.5,6.6,9.5,9.6c-3.2,3.2-6.2,7.3-7.8,15.6H37z' />
		</g>
	</svg>
);
